<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\DocStoreBundle\Exception;

class ConversionWithSameMimeTypeException extends \RuntimeException
{
    public function __construct(string $mimeType, ?\Throwable $previous = null)
    {
        parent::__construct("Conversion to same MIME type '{$mimeType}' is not allowed: already at the same MIME type", 0, $previous);
    }
}
